CREATE TABLE cn_disputes_all (
    DISPUTE_ID                  NUMBER(18, 0) ,
    ATTACHMENT_NAME             VARCHAR2(320) ,
    PERIOD_ID                   NUMBER(18, 0) ,
    PRIMARY_PARTICIPANT_ID      NUMBER(18, 0) ,
    ATTACHMENT                  BLOB          ,
    DISPUTE_JUSTIFICATION       VARCHAR2(4000),
    EXPECTED_VALUE              NUMBER        ,
    ACTUAL_VALUE                NUMBER        ,
    DISPUTE_NAME                VARCHAR2(320) ,
    PLAN_COMPONENT_NAME         VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    TASK_ID                     NUMBER(18, 0)     NOT NULL,
    DISPUTE_DESCRIPTION         VARCHAR2(4000),
    ORG_ID                      NUMBER(18, 0)     NOT NULL,
    REQUESTOR_PARTICIPANT_ID    NUMBER(18, 0) ,
    DISPUTE_STATUS              VARCHAR2(120)     NOT NULL,
    DISPUTE_TYPE                VARCHAR2(120) ,
    PAYMENT_ADJUSTMENT_TYPE     VARCHAR2(120) ,
    PARTICIPANT_ID              NUMBER(18, 0)     NOT NULL,
    RESOLUTION_CODE             VARCHAR2(120) ,
    TRANSACTION_TYPE            VARCHAR2(120) ,
    SOURCE_TRX_NUMBER           VARCHAR2(120) ,
    SOURCE_EVENT_DATE           DATE          ,
    TRANSACTION_QTY             NUMBER        ,
    CUSTOMER_ID                 NUMBER(18, 0) ,
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    TRANSACTION_AMOUNT          NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    CLOSED_DATE                 DATE          ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    ATTRIBUTE_NUMBER6           NUMBER        ,
    ATTRIBUTE_NUMBER7           NUMBER        ,
    ATTRIBUTE_NUMBER8           NUMBER        ,
    ATTRIBUTE_NUMBER9           NUMBER        ,
    ATTRIBUTE_NUMBER10          NUMBER        ,
    ATTRIBUTE_NUMBER11          NUMBER        ,
    ATTRIBUTE_NUMBER12          NUMBER        ,
    ATTRIBUTE_NUMBER13          NUMBER        ,
    ATTRIBUTE_NUMBER14          NUMBER        ,
    ATTRIBUTE_NUMBER15          NUMBER        ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_DATE6             DATE          ,
    ATTRIBUTE_DATE7             DATE          ,
    ATTRIBUTE_DATE8             DATE          ,
    ATTRIBUTE_DATE9             DATE          ,
    ATTRIBUTE_DATE10            DATE          ,
    ATTRIBUTE_DATE11            DATE          ,
    ATTRIBUTE_DATE12            DATE          ,
    ATTRIBUTE_DATE13            DATE          ,
    ATTRIBUTE_DATE14            DATE          ,
    ATTRIBUTE_DATE15            DATE          ,
    DISPUTE_ID                  NUMBER(18, 0) ,
    ATTACHMENT_NAME             VARCHAR2(320) ,
    PERIOD_ID                   NUMBER(18, 0) ,
    PRIMARY_PARTICIPANT_ID      NUMBER(18, 0) ,
    ATTACHMENT                  BLOB          ,
    DISPUTE_JUSTIFICATION       VARCHAR2(4000),
    EXPECTED_VALUE              NUMBER        ,
    ACTUAL_VALUE                NUMBER        ,
    DISPUTE_NAME                VARCHAR2(320) ,
    PLAN_COMPONENT_NAME         VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    TASK_ID                     NUMBER(18, 0)     NOT NULL,
    DISPUTE_DESCRIPTION         VARCHAR2(4000),
    ORG_ID                      NUMBER(18, 0)     NOT NULL,
    REQUESTOR_PARTICIPANT_ID    NUMBER(18, 0) ,
    DISPUTE_STATUS              VARCHAR2(120)     NOT NULL,
    DISPUTE_TYPE                VARCHAR2(120) ,
    PAYMENT_ADJUSTMENT_TYPE     VARCHAR2(120) ,
    PARTICIPANT_ID              NUMBER(18, 0)     NOT NULL,
    RESOLUTION_CODE             VARCHAR2(120) ,
    TRANSACTION_TYPE            VARCHAR2(120) ,
    SOURCE_TRX_NUMBER           VARCHAR2(120) ,
    SOURCE_EVENT_DATE           DATE          ,
    TRANSACTION_QTY             NUMBER        ,
    CUSTOMER_ID                 NUMBER(18, 0) ,
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    TRANSACTION_AMOUNT          NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    CLOSED_DATE                 DATE          ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    ATTRIBUTE_NUMBER6           NUMBER        ,
    ATTRIBUTE_NUMBER7           NUMBER        ,
    ATTRIBUTE_NUMBER8           NUMBER        ,
    ATTRIBUTE_NUMBER9           NUMBER        ,
    ATTRIBUTE_NUMBER10          NUMBER        ,
    ATTRIBUTE_NUMBER11          NUMBER        ,
    ATTRIBUTE_NUMBER12          NUMBER        ,
    ATTRIBUTE_NUMBER13          NUMBER        ,
    ATTRIBUTE_NUMBER14          NUMBER        ,
    ATTRIBUTE_NUMBER15          NUMBER        ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_DATE6             DATE          ,
    ATTRIBUTE_DATE7             DATE          ,
    ATTRIBUTE_DATE8             DATE          ,
    ATTRIBUTE_DATE9             DATE          ,
    ATTRIBUTE_DATE10            DATE          ,
    ATTRIBUTE_DATE11            DATE          ,
    ATTRIBUTE_DATE12            DATE          ,
    ATTRIBUTE_DATE13            DATE          ,
    ATTRIBUTE_DATE14            DATE          ,
    ATTRIBUTE_DATE15            DATE          ,
    CONSTRAINT pk_cn_disputes_all PRIMARY KEY (DISPUTE_ID, DISPUTE_ID)
);
